GDB (API)

Public Attributes | List of all members
call_site Struct Reference

`#include "gdbtypes.h"`

## Public Attributes
CORE_ADDR | pc
struct call_site * | tail_call_next
struct call_site_target | target
unsigned | parameter_count
struct dwarf2_per_cu_data * | per_cu
struct call_site_parameter | parameter [1]

## Detailed Description

A place where a function gets called from, represented by DW_TAG_call_site. It can be looked up from symtab->call_site_htab.

Definition at line 1154 of file gdbtypes.h.

## Member Data Documentation

## ◆ parameter

struct call_site_parameter call_site::parameter[1]

Describe DW_TAG_call_site's DW_TAG_formal_parameter.

Definition at line 1182 of file gdbtypes.h.

## ◆ parameter_count

unsigned call_site::parameter_count

Size of the PARAMETER array.

Definition at line 1173 of file gdbtypes.h.

## ◆ pc

CORE_ADDR call_site::pc

Address of the first instruction after this call. It must be the first field as we overload core_addr_hash and core_addr_eq for it.

Definition at line 1160 of file gdbtypes.h.

## ◆ per_cu

struct dwarf2_per_cu_data* call_site::per_cu

CU of the function where the call is located. It gets used for DWARF blocks execution in the parameter array below.

Definition at line 1178 of file gdbtypes.h.

## ◆ tail_call_next

struct call_site* call_site::tail_call_next

List successor with head in FUNC_TYPE.TAIL_CALL_LIST.

Definition at line 1164 of file gdbtypes.h.

## ◆ target

struct call_site_target call_site::target

Describe DW_AT_call_target. Missing attribute uses FIELD_LOC_KIND_DWARF_BLOCK with FIELD_DWARF_BLOCK == NULL.

Definition at line 1169 of file gdbtypes.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbtypes.h